org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec.STYLE

- All Superinterfaces:
    HamletSpec.__, HamletSpec._Child, HamletSpec._Content, HamletSpec.I18nAttrs
  All Known Implementing Classes:
    Hamlet.STYLE
  Enclosing class:
    HamletSpec

      public static interface HamletSpec.STYLE
      extends HamletSpec.I18nAttrs, HamletSpec._Content, HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.STYLE` | `$media(EnumSet<HamletSpec.Media> media)` designed for use with these media
    `HamletSpec.STYLE` | `$title(String cdata)` advisory title
    `HamletSpec.STYLE` | `$type(String cdata)` content type of style language

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

      `$dir, $lang`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Content

      `__`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Method Detail

    - #### $type

          HamletSpec.STYLE $type(String cdata)

      content type of style language
      Parameters:
        `cdata` -
      Returns:
        the current element builder

    - #### $media

          HamletSpec.STYLE $media(EnumSet<HamletSpec.Media> media)

      designed for use with these media
      Parameters:
        `media` -
      Returns:
        the current element builder

    - #### $title

          HamletSpec.STYLE $title(String cdata)

      advisory title
      Parameters:
        `cdata` -
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.